View Issue Details

IDProjectCategoryView StatusLast Update
0005211Talerdeployment and operationspublic2018-04-15 20:36
ReporterChristian GrothoffAssigned ToMarcello Stanisci 
PriorityurgentSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005211: deployment should use taler-exchange-wirewatch
DescriptionRight now, the bank notifies the exchange using the exchange's /admin/add/incoming API about incoming wire transfers.

We should run 'taler-exchange-wirewatch' in the deployment (which pulls the same information from the bank's /history and updates the exchange DB) and disable the bank's call to /admin/add/incoming of the exchange (both changes should be done together).

Once this has happened, I can complete 0005172 and remove the /admin/add/incoming API from the exchange entirely.
TagsNo tags attached.

Relationships

related to 0005172 closedChristian Grothoff Eliminate /admin/add/incoming 

Activities

Marcello Stanisci

2017-12-14 12:05

manager   ~0012678

This doesn't seem related to protocol breakages:

test-blue@tripwire:~$ taler-exchange-wirewatch -T -t test
Dec 14 11:59:04-722912 taler-exchange-wirewatch-21828 ERROR Assertion failed at plugin_wire_test.c:957.
Dec 14 11:59:04-723017 taler-exchange-wirewatch-21828 ERROR Failed to start request for account history!

Christian Grothoff

2017-12-14 12:13

manager   ~0012679

This _could_ be an old exchange database. Wirewatch remembers where it was last, and that format changed from a historic JSON to a binary 8 bit number. So a DB reset might fix this one.

Christian Grothoff

2017-12-14 13:51

manager   ~0012683

0005172 is now blocked just on this (don't want to remove /admin/add/incoming while deployment requires it).

Christian Grothoff

2017-12-14 15:42

manager   ~0012685

Also, once this is changed, I'm replacing taler-exchange-reservemod with the new taler-bank-transfer (which triggers /admin/add/incoming at the *bank*, which then allows wirewatch to modify the exchange). Please let me know when I can push those two changes.

Marcello Stanisci

2017-12-14 16:12

manager   ~0012692

ec0d72c (bank) / 97e019a (deployment) implement this. Closing.

Marcello Stanisci

2017-12-14 16:13

manager   ~0012693

Ah, let me know when you are done with this new tool, so I will change the way the merchant tops reserves up.

Issue History

Date Modified Username Field Change
2017-12-10 21:46 Christian Grothoff New Issue
2017-12-10 21:46 Christian Grothoff Status new => assigned
2017-12-10 21:46 Christian Grothoff Assigned To => Marcello Stanisci
2017-12-10 21:46 Christian Grothoff Relationship added related to 0005172
2017-12-14 12:05 Marcello Stanisci Note Added: 0012678
2017-12-14 12:13 Christian Grothoff Note Added: 0012679
2017-12-14 13:51 Christian Grothoff Note Added: 0012683
2017-12-14 15:42 Christian Grothoff Note Added: 0012685
2017-12-14 16:12 Marcello Stanisci Note Added: 0012692
2017-12-14 16:13 Marcello Stanisci Note Added: 0012693
2017-12-14 16:14 Marcello Stanisci Status assigned => closed
2017-12-14 16:14 Marcello Stanisci Resolution open => fixed
2017-12-14 16:14 Marcello Stanisci Status closed => resolved
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed